function [ Idx_full, Idx_perchannel ] = GetZeroRFIndices( T, NumChannel )
    
    %compute vector of length NumKsamples x NumChannel, that has zeros,
    %where RF is supposed to be played and ones otherwise

    SubIdx        	= ones( size( T.Pulse.t ) );
    
    if isfield( T.Pulse, 't_NoRF' )
        for r = 1 : size( T.Pulse.t_NoRF, 1 )
            SubIdx( T.Pulse.t >= T.Pulse.t_NoRF(r,1) & T.Pulse.t <= T.Pulse.t_NoRF(r,2) ) = 0;
        end
    end
    
    Idx_full        = repmat( SubIdx(:), NumChannel, 1 );
    Idx_perchannel  = SubIdx(:);
    
end