function D = GetDerivativeMatrix3D( R )

    %get number of variables
    IDvec 	= R(:,4);
    NV      = sum( IDvec );
    NCP     = size( R, 1 );
    
    D     	= zeros( NV, 3*NCP );
    RowIdx 	= cumsum( [0; IDvec(1:end-1)] ) + 1;
    
    for v = 1 : NCP
        switch IDvec(v)
            case 3
                %no constraint, set ones
                D( RowIdx(v)     , (v-1) * 3 + 1 ) = 1;  %X
                D( RowIdx(v) + 1 , (v-1) * 3 + 2 ) = 1;  %Y
                D( RowIdx(v) + 2 , (v-1) * 3 + 3 ) = 1;  %Z
            case 2
                %layer constraint, set ones
                error('Layer constraints are not yet supported, these constraints yield insufficient control regions G')
                
                %if      isnumeric( R{v,1} ) && isnumeric( R{v,2} )  && isnan( R{v,3} )
                %    
                %elseif  isnumeric( R{v,1} )	&& isnan( R{v,2} )      && isnumeric( R{v,3} )
                %       
                %elseif  isnumeric( R{v,1} ) && isnumeric( R{v,2} )	&& isnan( R{v,3} )         
                %    
                %else
                %        error('The %i-th row of the constraint matrix seems to be incorrectly formated for a layer constraint')
                %end
                
            case 1
                %vector constraint, set vector elements in D corresponding to
                %the vector elements in the constraint matrix
                
                % --> 
                Cnorm = norm( R( v,1:3 ) );
                if Cnorm > 0
                    D( RowIdx(v)    , (v-1) * 3 + 1 )   = R(v,1) / Cnorm; %X
                    D( RowIdx(v)    , (v-1) * 3 + 2 )	= R(v,2) / Cnorm; %Y 
                    D( RowIdx(v)    , (v-1) * 3 + 3 )	= R(v,3) / Cnorm; %Z
                else
                    error('Cnorm is zero!')
                end
                
                % --> 9.8743
%                 D( RowIdx(v)    , (v-1) * 3 + 1 )   = R(v,1); 	%X
%                 D( RowIdx(v)    , (v-1) * 3 + 2 )	= R(v,2); 	%Y 
%                 D( RowIdx(v)    , (v-1) * 3 + 3 )	= R(v,3); 	%Z
                
%                 Cnormsq   = norm( R( v,1:3 ) )^2;
%                 %cx^2/norm([cx, cy])^2
%                 --> 9.8775
%                 D( RowIdx(v)    , (v-1) * 3 + 1 )   = sign(R(v,1)) * R(v,1)^2 / Cnormsq; %X
%                 D( RowIdx(v)    , (v-1) * 3 + 2 )	= sign(R(v,2)) * R(v,2)^2 / Cnormsq; %Y
%                 D( RowIdx(v)    , (v-1) * 3 + 3 )	= sign(R(v,3)) * R(v,3)^2 / Cnormsq; %Z
        end
    end
    
    