function PlotRF( RF, options, OpenFigure )

    % function to plot the RF waveforms

    if nargin < 3
        OpenFigure = 1;
    end
    
    if OpenFigure
        figure
        hold on
        box on
    end

    title(sprintf('%i-channel Pulse',options.nchannel),'Fontsize',10,'Fontweight','bold')
    
    %get positions of subpulses
    SubPos  = 1 : numel(RF)/options.nchannel : numel(RF);
    
    %plot ticks
    
    [AX,H1,H2] = plotyy( 1 : numel(RF), abs( RF ), 1 : numel(RF), imag( RF ), @stairs );
    set(get(AX(1),'Ylabel'),'String','RF Magnitude','Fontweight','bold') 
    set(get(AX(2),'Ylabel'),'String','RF Phase','Fontweight','bold')
    xlim([1, numel(RF)])
    
    %set x ticks
    set(AX(1),'XTick',[])
    set(AX(2),'XTick',SubPos)
    set(AX(2),'XTickLabel',arrayfun(@(x) sprintf('#%i',x) ,1 : 16,'UniformOutput',0))
    set(AX(2),'XColor','red')
	set(AX(2),'XGrid','on');
    set(AX(2),'GridLineStyle','-')
    
    set(AX(1), 'XLim', [1, numel(RF)])
    set(AX(2), 'XLim', [1, numel(RF)])
    linkaxes(AX, 'x');    
    
    set(H1,'Linewidth',2,'Linestyle','-')
    set(H2,'Linewidth',2,'Linestyle','--')
    
end

    
